<?php 
defined('BASEPATH') OR exit('No direct script access allowed');

/* End of file pemberitahuan_putusan_pdt_kuasa_p_m.php */
/* Location: ./application/models/generate_template/pemberitahuan_putusan_pdt_kuasa_p_m.php */

class m_template_perdata_pemberitahuan_putusan_kuasa_p extends CI_Model {

	function getListKuasa_P($idperkara){
		try {
			if(!is_numeric($idperkara)){
				return '';
			}
			return $this->db->query("SELECT  perkara_pengacara.`nama`AS nama_pengacara,perkara_pengacara.`urutan`AS urutan_pengacara,
                        perkara_pengacara.pengacara_id as pengacara_id, 
                        perkara_pengacara.*,perkara_pihak1.* 
                FROM    perkara_pengacara,perkara_pihak1  
                WHERE   FIND_IN_SET (perkara_pihak1.pihak_id,(SELECT  CONCAT( \"'\",\",\", GROUP_CONCAT(pihak_id SEPARATOR \"','\" ),\",\" , \"'\" )
                        FROM perkara_pengacara WHERE perkara_id=$idperkara AND pengacara_id=(SELECT pengacara_id FROM perkara_pengacara WHERE perkara_id=$idperkara LIMIT 0,1)))
                        AND perkara_pihak1.`perkara_id`=perkara_pengacara.`perkara_id` AND perkara_pihak1.`perkara_id`=$idperkara AND perkara_pengacara.pihak_ke=1
                        GROUP BY perkara_pengacara.pengacara_id ORDER BY perkara_pengacara.pihak_ke");
		} catch (Exception $e) {
		}
	}

	function getListJurusita($idperkara){
		try {
			if(!is_numeric($idperkara)){
				return '';
			}
			return $this->db->query("SELECT perkara_id,jurusita_id,jurusita_nama FROM perkara_jurusita WHERE perkara_id=$idperkara");
		} catch (Exception $e) {
		}
	}
	
	function getBiayaPerkara($idperkara){
		try {
			if(!is_numeric($idperkara)){
				return '';
			}
			return $this->db->query("SELECT a.perkara_id, a.kategori_id, a.tahapan_id, a.jumlah
                FROM 
                perkara_biaya AS a 
                WHERE a.perkara_id=$idperkara AND a.kategori_id IN ('4','6') 
                GROUP BY a.jumlah");
		} catch (Exception $e) {
		}
	}

	function cetak_pemberitahuan_putusan_pdt_kuasa_p($idperkara,$idkuasaPenggugat,$jursit_id){
		try {
			if(!is_numeric($idperkara) OR !is_numeric($idkuasaPenggugat) OR !is_numeric($jursit_id)){
				return '';
			}
			$qry="SELECT a.perkara_id,a.nomor_perkara AS noPerkara ,
						pihak1_all.* ,
						b.jurusita_nama AS jurusita,
						IF(jumlahP.jmlP >= 2,CONCAT(c.nama,' .dkk'),c.nama) AS namaPihakP,
						IF(jumlahT.jmlT >= 2,CONCAT(e.nama,' .dkk'),e.nama) AS namaPihakT,
						h.value AS namaPengadilan,
						i.nama AS status_putusan,
						d.tanggal_putusan AS tglPutusan, 
						d.amar_putusan AS amarPutusan
				FROM 
				perkara AS a
				LEFT JOIN (SELECT y.perkara_id AS perkara_id,  
					x.pengacara_id AS pengacara_id,
					x.nama AS nama_pengacara,
					z.alamat AS alamat_pengacara,
					z.pekerjaan AS pekerjaan_pengacara,
					y.pihak_id AS pihak1_id,y.nama AS pihak1_nama, z.pekerjaan as pihak1_pekerjaan,y.alamat as pihak1_alamat
					FROM perkara_pengacara x,perkara_pihak1 y, pihak z 
						WHERE y.pihak_id=z.id AND FIND_IN_SET (y.pihak_id,(
							SELECT  CONCAT( \"'\",\",\", GROUP_CONCAT(pihak_id SEPARATOR \"','\" ),\",\" , \"'\" )
							FROM perkara_pengacara WHERE perkara_id=$idperkara AND pengacara_id=(SELECT pengacara_id FROM perkara_pengacara WHERE perkara_id=$idperkara LIMIT 0,1)))
						AND y.perkara_id=x.perkara_id AND y.perkara_id=$idperkara) AS pihak1_all ON pihak1_all.perkara_id=a.perkara_id
				LEFT JOIN perkara_jurusita AS b  ON pihak1_all.perkara_id=b.perkara_id and b.jurusita_id=$jursit_id
				LEFT JOIN perkara_pihak1 AS c ON c.`perkara_id`=a.`perkara_id`
				LEFT JOIN perkara_putusan AS d ON a.`perkara_id`=d.`perkara_id`
				LEFT JOIN status_putusan AS i ON d.`status_putusan_id`=i.`id`
				LEFT JOIN perkara_pihak2 AS e ON a.`perkara_id`=e.`perkara_id`
				LEFT JOIN (SELECT COUNT(pihak_id) AS jmlP, perkara_id FROM perkara_pihak1 WHERE perkara_id=$idperkara ) AS jumlahP ON  jumlahP.perkara_id=a.perkara_id
				LEFT JOIN (SELECT COUNT(pihak_id) AS jmlT, perkara_id FROM perkara_pihak2 WHERE perkara_id=$idperkara) AS jumlahT ON  jumlahT.perkara_id=a.perkara_id
				LEFT JOIN (SELECT id, value FROM sys_config) AS h ON h.id=62
				WHERE a.perkara_id=$idperkara AND c.urutan=1 AND e.urutan=1 AND pihak1_all.pengacara_id=$idkuasaPenggugat ";
			$query=$this->db->query($qry);
			return $query;
		} catch (Exception $e) {
		}
	}
}

/* End of file pemberitahuan_putusan_pdt_m.php */
/* Location: ./application/models/generate_template/pemberitahuan_putusan_pdt_m.php */